> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apigene.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Skill Search

> Endpoint to search skills with flexible filtering options.

Args:
    query: Search query to match against name and description
    status: Filter by status (default: "active")
    max_results: Maximum number of results to return (default: 5)

Returns:
    List[SkillListItem]: A list of skill list items matching the search criteria



## OpenAPI

````yaml get /api/skill/search
openapi: 3.1.0
info:
  title: Apigene
  description: Apigene API
  version: 1.0.0
  contact:
    name: Apigene Support
    url: https://app.apigene.ai
    email: support@apigene.ai
servers:
  - url: https://app.apigene.ai
security:
  - BearerAuth: []
paths:
  /api/skill/search:
    get:
      tags:
        - Skill
      summary: Skill Search
      description: |-
        Endpoint to search skills with flexible filtering options.

        Args:
            query: Search query to match against name and description
            status: Filter by status (default: "active")
            max_results: Maximum number of results to return (default: 5)

        Returns:
            List[SkillListItem]: A list of skill list items matching the search criteria
      operationId: skill_search
      parameters:
        - name: query
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Search query for name or description
            title: Query
          description: Search query for name or description
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by status (active/disabled)
            default: active
            title: Status
          description: Filter by status (active/disabled)
        - name: max_results
          in: query
          required: false
          schema:
            type: integer
            description: Maximum number of results to return
            default: 5
            title: Max Results
          description: Maximum number of results to return
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SkillListItem'
                title: Response Skill Search
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    SkillListItem:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the skill
        name:
          type: string
          title: Name
          description: Name of the skill
        description:
          type: string
          title: Description
          description: Description of the skill
        license:
          type: string
          title: License
          description: License field
          default: ''
        compatibility:
          type: string
          title: Compatibility
          description: Compatibility field
          default: ''
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
          description: Metadata dict
          default: {}
        allowed_tools:
          type: string
          title: Allowed Tools
          description: Allowed-tools field
          default: ''
        status:
          type: string
          title: Status
          description: 'Status of the skill: active or disabled'
          default: active
        created_by:
          type: string
          title: Created By
          description: User who created the skill
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the skill was created.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: The date and time when the skill was last updated.
      type: object
      required:
        - id
        - name
        - description
        - created_by
        - created_at
        - updated_at
      title: SkillListItem
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        'Authorization: Bearer {token}'

````